Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.functions
Class BeanShell

    java.lang.Object
      org.apache.jmeter.functions.AbstractFunction
          org.apache.jmeter.functions.BeanShell

All Implemented Interfaces:
  Function

public class BeanShell
extends AbstractFunction

A function which understands BeanShell

Field Summary
`static String` | `INIT_FILE`

Constructor Summary
`BeanShell()`

Method Summary
`String` | `execute(SampleResult previousResult, Sampler currentSampler)` N.B. setParameters() and execute() are called from different threads, so both must be synchronized unless there are no parameters to save
`List` | `getArgumentDesc()` Return a list of strings briefly describing each parameter your function takes.
`String` | `getReferenceKey()` Return the name of your function.
`void` | `log_info(String s)`
`void` | `setParameters(Collection parameters)` N.B. setParameters() and execute() are called from different threads, so both must be synchronized unless there are no parameters to save

Methods inherited from class org.apache.jmeter.functions.AbstractFunction
`checkMinParameterCount, checkParameterCount, checkParameterCount, execute, getVariables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INIT_FILE

    public static final String INIT_FILE

See Also:
  Constant Field Values

Constructor Detail

### BeanShell

    public BeanShell()

Method Detail

### execute

    public String execute(SampleResult previousResult,
                          Sampler currentSampler)
                   throws InvalidVariableException

  Description copied from class: `AbstractFunction`

  N.B. setParameters() and execute() are called from different threads, so both must be synchronized unless there are no parameters to save

  Specified by:
    `execute` in interface `Function`
  Specified by:
    `execute` in class `AbstractFunction`
  Throws:
    `InvalidVariableException`
  See Also:
    `Function.execute(SampleResult, Sampler)`

### log_info

    public void log_info(String s)

### setParameters

    public void setParameters(Collection parameters)
                       throws InvalidVariableException

  Description copied from class: `AbstractFunction`

  N.B. setParameters() and execute() are called from different threads, so both must be synchronized unless there are no parameters to save

  Specified by:
    `setParameters` in interface `Function`
  Specified by:
    `setParameters` in class `AbstractFunction`
  Throws:
    `InvalidVariableException`
  See Also:
    `
    Note: This is always called even if no parameters are provided (versions of JMeter after 2.3.1)`

### getReferenceKey

    public String getReferenceKey()

  Description copied from interface: `Function`
  Return the name of your function. Convention is to prepend "__" to the name (ie "__regexFunction")

  Specified by:
    `getReferenceKey` in interface `Function`
  Specified by:
    `getReferenceKey` in class `AbstractFunction`
  See Also:
    `Function.getReferenceKey()`

### getArgumentDesc

    public List getArgumentDesc()

  Description copied from interface: `Function`
  Return a list of strings briefly describing each parameter your function takes. Please use JMeterUtils.getResString(resource_name) to grab a resource string. Otherwise, your help text will be difficult to internationalize. This list is not optional. If you don't wish to write help, you must at least return a List containing the correct number of blank strings, one for each argument.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.